subroutine Drawworks_Outputs
    
    Use CSounds
    use CHook
    use SimulationVariables
    use CWarnings
    use SimulationVariables !@
    use CDrillingConsoleVariables
    use SimulationVariables
    use SimulationVariables
    
    IMPLICIT NONE
    
    
    
    data%EquipmentControl%DrillingConsole%DWBLWR = data%State%Drawworks%BLWR
    
    Call SetSoundBlowerDW( data%State%Drawworks%SoundBlower )               !.true. or .false.
    Call SetSoundDwRev( data%State%Drawworks%SoundRev )                     ![rpm] ??? or rad/s, Integer
    Call SetSoundDwFw( data%State%Drawworks%SoundFw )                       ![rpm] , Integer     
    Call SetSoundCrownCollision( data%State%Drawworks%SoundCrownCollision ) !.true. or .false.
    Call SetSoundFloorCollision( data%State%Drawworks%SoundFloorCollision ) !.true. or .false.
   
    if (data%State%Drawworks%CrownCollision==1) then
        Call Activate_CrownCollision()
    end if
    if (data%State%Drawworks%FloorCollision==1) then
        Call Activate_FloorCollision()
    end if
    
    Call Set_HookHeight( real(data%State%Drawworks%Hook_Height_final) )     ![ft]
    data%State%Drawworks%TDHookHeight = data%State%Drawworks%Hook_Height_final         ![ft]
    !!data%State%Drawworks%HookHeight_graph_output
    
    !data%EquipmentControl%DrillingConsole%ParkingBrakeLed = 0     ! in Drawworks_Inputs
    
    
    
    
end subroutine Drawworks_Outputs